Subject: bug#65640: 30.0.50; segfault when building emacs with native-comp

From: LemonBreezes <[email-masked]>
Date: Fri, 01 Sep 2023 15:48:33 -0500

Hi. I updated from the unstable GCC 13.2.1_p20230826 Gentoo package to the live 14.0.0.9999 version of GCC and the issue disappeared. Thank you. :))

On Fri, Sep 1, 2023, at 12:27 PM, Eli Zaretskii wrote:
> > Date: Fri, 01 Sep 2023 11:40:56 -0500
> > From: LemonBreezes <[email-masked]>
> > Cc: "Andrea Corallo" <[email-masked]>, [email-masked]
> > 
> > Okay. So I can reproduce it by native-compiling org.el. But instead of Emacs segfaulting, I get the
> > following error:
> > 
> > Debugger entered--Lisp error: (wrong-type-argument
> > "/home/st/.config/emacs/.local/straight/repos/org/l..." number-or-marker-p "Segmentation fault")
> >   signal(wrong-type-argument ("/home/st/.config/emacs/.local/straight/repos/org/lisp/org.el"
> > number-or-marker-p "Segmentation fault"))
> >   comp--native-compile("/home/st/.config/emacs/.local/straight/repos/org/l..." nil nil)
> >   native-compile("/home/st/.config/emacs/.local/straight/repos/org/l...")
> >   emacs-lisp-native-compile()
> 
> Looks like Andrea was right: libgccjit is segfaulting on your system,
> for some reason.  If some other version of libgccjit is known to work
> well on that platform, perhaps install that other version instead of
> what you have now.
>